Article:
  Autofilled PHP Forms
Subject:   Beware: fillInFormValues affected by pcre7 bug
Date:   2007-07-03 11:33:02
From:   GavinAndresen
If you upgrade to php5.5.2/pcre7.0, and fillInFormValues stops working, you've get a version of pcre (7.0) that doesn't like one of the regular expressions used by fillInFormValues.


Upgrade your version of pcre (painful, because you've got to recompile php) to fix. Or downgrade back to a version of php that doesn't use pcre7.0, and wait for a version of PHP that contains the fixed PCRE.

Main Topics Oldest First

Showing messages 1 through 1 of 1.

  • Beware: fillInFormValues affected by pcre7 bug
    2007-07-18 10:18:24  Dunn-PHP [View]

    I think you mean PHP 5.2.2 (not 5.5.2). I can confirm this behaviour on a Linux/Apache installation where the code seems to just abort prematurely and a blank page is delivered.